=== debian/changelog ===
gtk+2.0 (2.24.33-9) unstable; urgency=medium

  [ Nick Rosbrook ]
  * Build with -std=gnu17 to avoid FTBFS with gcc-15 (Closes: #1096785)
    (LP: #2124953)

  [ Jeremy Bícha ]
  * Remove Suggests: devhelp

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 26 Oct 2025 20:26:12 -0400

gtk+2.0 (2.24.33-8) unstable; urgency=medium

  * Team upload
  * d/control: Build-depend on gobject-introspection instead of
    libgirepository1.0-dev
  * d/control: Explicitly build-depend on required GIR XML packages
  * d/control: Standards-Version: 4.7.2 (no changes required)
  * d/copyright: Don't quote the FSF's former postal address here.
    Consistently point to /usr/share/common-licenses instead.
  * d/libgtk2.0-doc.links.in: Remove unused dangling symlinks to other
    libraries' docs
  * d/tests/1065493-futureproofing: Produce valid TAP output
  * d/tests/1065493-futureproofing: Generate a versioned Provides.
    Otherwise, replacing libgtk2.0-0t64 with libgtk2.0-0xyz will result
    in libgtk2.0-common being downgraded and the test will fail.
  * d/tests/1065493-futureproofing: Improve diagnostic output

 -- Simon McVittie <smcv@debian.org>  Wed, 27 Aug 2025 09:23:32 +0100

gtk+2.0 (2.24.33-7) unstable; urgency=medium

  * Team upload
  * d/salsa-ci.yml: Add
  * d/libgtk2.0-0t64.links.in: Provide a symlink to the old
    gtk-query-immodules-2.0 path.
    This provides drop-in compatibility with libgtk2.0-0, which some
    packages rely on (gcin, hime).
  * d/control: Use generated ${gir:Provides} instead of hard-coding
  * d/control: Add ${gir:Depends}, ${gir:Provides} to -dev package
  * Stop generating Devhelp indexes for the FAQ and tutorial.
    These are at least 15 years out of date, were emitted in the
    deprecated Devhelp file format version 1, and do not have the GTK
    major version in their title, which could mislead developers into
    thinking they're applicable to GTK 3 and 4.
  * d/upstream/metadata: Remove obsolete FAQ link
  * d/upstream/metadata: Link to the correct branch's commit log
  * d/upstream/metadata: Update Bug-Database URL for current Gitlab
  * d/upstream/metadata: Remove Bug-Submit.
    GTK 2 is no longer supported upstream. It is technically possible to
    report issues (because it shares a git repository and issue tracker
    with GTK 3 and 4) but not practically useful.
  * Remove unused lintian override for #1063709

 -- Simon McVittie <smcv@debian.org>  Fri, 17 Jan 2025 11:16:34 +0000

gtk+2.0 (2.24.33-6) unstable; urgency=medium

  * Team upload

  [ Alessandro Astone ]
  * debian: Add patches to fix FTBFS with gcc-14 (Closes: #1075050)

  [ Simon McVittie ]
  * d/rules: Suppress gtk2-engines-pixbuf dependency on libgtk2.0-0t64.
    This allows themes to be installed without always requiring GTK 2
    to be installed. We did this for libgtk2.0-0 since 2017, but it
    regressed during the t64 transition. (Helps: #1077864)
  * d/control: Recommend gnome-themes-extra.
    This provides the Adwaita theme for GTK 2, making GTK 2 apps
    approximately match the default appearance of GTK 3 apps.
    (Helps: #1077864)
  * Remove version constraints unnecessary since Debian 11
  * Replace dependency on transitional package x11proto-xext-dev with
    replacement x11proto-dev
  * Standards-Version: 4.7.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 30 Aug 2024 18:29:28 +0100

gtk+2.0 (2.24.33-5) unstable; urgency=high

  [ Jeremy Bícha ]
  * SECURITY UPDATE: CVE-2024-6655 Stop looking for modules in cwd
    - Cherry-picked patch from GTK 3.24.43

  [ Simon McVittie ]
  * d/control, d/tests: Prefer to depend on pkgconf instead of pkg-config
  * Update Lintian overrides
  * d/control: Drop alternative dependency on obsolete libgdk-pixbuf2.0-dev
  * d/control: Drop unused build-dependency on quilt

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Jul 2024 08:38:50 -0400

gtk+2.0 (2.24.33-4) unstable; urgency=medium

  * Team upload
  * d/libgtk2.0-0t64.preinst: Remove libgtk2.0-0 postrm to avoid loss of
    input method modules during upgrade (Closes: #1065493)
  * d/tests/manual/1065493.sh: Add a manual reproducer for #1065493
  * d/libgtk2.0-0t64.postrm.in: Only clean up immodules.cache during purge.
    This avoids input methods becoming briefly unavailable during upgrades.
  * d/libgtk2.0-0t64.postrm.in: Avoid recurrence of #1065493 in the future,
    by not deleting immodules.cache (even during purge) unless the immodules
    directory no longer exists.
  * d/tests/1065493-futureproofing: Add a test for recurrence of #1065493.

 -- Simon McVittie <smcv@debian.org>  Wed, 06 Mar 2024 12:31:37 +0000

gtk+2.0 (2.24.33-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064080

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 05:46:40 +0000

gtk+2.0 (2.24.33-3) unstable; urgency=medium

  * Cherry-pick patch to fix GFileInfo critical warnings
  * Drop multiarch module path patch: nothing in Debian needs it any more
  * Stop generating d/control from a template
  * Build-Depend on dh-sequence-gnome
  * Set Section to oldlibs
  * Stop building gtk2.0-examples

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 24 Jan 2024 16:02:45 -0500

gtk+2.0 (2.24.33-2) unstable; urgency=medium

  * Team upload
  * d/rules: Build udeb with extra CPPFLAGS.
    This allows adding special-case code for debian-installer where
    necessary.
  * udeb: Clamp text layout width to no more than was requested.
    This works around a relayout loop that makes the Debian installer hang.
    To minimize the effect on installed systems, this is
    #ifdef DEBIAN_INSTALLER; we currently have no evidence of similar
    relayout loops outside the d-i environment. (Closes: #988786)
  * Increase dependency on librsvg2-common from Suggests to Recommends.
    This is not a hard dependency, but should be installed in nearly all
    cases. Increasingly many icons are provided in SVG format, so

