=== debian/control ===
Source: gtk+2.0
Section: oldlibs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12),
               dh-sequence-gnome,
               dh-python,
               gettext,
               gir1.2-atk-1.0-dev,
               gir1.2-cairo-1.0-dev,
               gir1.2-gdkpixbuf-2.0-dev,
               gir1.2-gio-2.0-dev,
               gir1.2-pango-1.0-dev,
               gir1.2-xlib-2.0-dev,
               gtk-doc-tools,
               xsltproc,
               pkgconf,
               python3:any,
               libglib2.0-dev,
               libgdk-pixbuf-2.0-dev,
               libpango1.0-dev,
               libatk1.0-dev,
               libx11-dev,
               libxext-dev,
               libxi-dev,
               libxrandr-dev,
               libxt-dev,
               libxrender-dev,
               libxft-dev,
               libxcursor-dev,
               libxcomposite-dev,
               libxdamage-dev,
               libxkbfile-dev,
               libxinerama-dev,
               libxfixes-dev,
               libcairo2-dev,
               x11proto-dev,
               libcups2-dev,
               gobject-introspection (>= 1.80),
               gawk,
               shared-mime-info,
               docbook-xml,
               docbook-xsl,
               docbook-utils,
               libxml2-utils,
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Depends-Indep: libglib2.0-doc,
                     libatk1.0-doc,
                     libpango1.0-doc,
                     libcairo2-doc
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/gnome-team/gtk2
Vcs-Git: https://salsa.debian.org/gnome-team/gtk2.git
Homepage: http://www.gtk.org/

Package: libgtk2.0-0t64
Replaces: libgtk2.0-0
Breaks: libgtk2.0-0 (<< ${source:Version})
Architecture: any
Depends: libgtk2.0-common,
         ${misc:Depends},
         ${shlibs:Depends},
         adwaita-icon-theme | gnome-icon-theme,
         hicolor-icon-theme,
         shared-mime-info
Provides: ${t64:Provides}, gtk2.0-binver-2.10.0
Recommends: gnome-themes-extra,
            libgail-common,
            librsvg2-common,
            libgtk2.0-bin
Suggests: gvfs
Multi-Arch: same
Description: GTK graphical user interface library - old version
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the shared libraries.

Package: libgtk2.0-0-udeb
Build-Profiles: <!noudeb>
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Provides: gtk2.0-binver-2.10.0
Description: GTK graphical user interface library - minimal runtime
 This is a udeb, or a microdeb, for the debian-installer.
 .
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the minimal runtime library using X11 needed
 by the Debian installer.

Package: libgtk2.0-common
Architecture: all
Depends: ${misc:Depends}
Recommends: libgtk2.0-0t64
Multi-Arch: foreign
Description: common files for the GTK graphical user interface library
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the common files which the libraries need.

Package: libgtk2.0-bin
Architecture: any
Depends: ${misc:Depends},
         libgtk2.0-0t64 (= ${binary:Version}),
         libgtk2.0-common,
         gtk-update-icon-cache
Multi-Arch: foreign
Description: programs for the GTK graphical user interface library
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the utilities which are used by the libraries
 and other packages.

Package: libgtk2.0-dev
Architecture: any
Multi-Arch: same
Depends: libgtk2.0-0t64 (= ${binary:Version}),
         gir1.2-gtk-2.0 (= ${binary:Version}),
         libgtk2.0-common,
         ${gir:Depends},
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         libglib2.0-dev,
         libgdk-pixbuf-2.0-dev,
         libpango1.0-dev,
         libatk1.0-dev,
         libcairo2-dev,
         libx11-dev,
         libxext-dev,
         libxinerama-dev,
         libxi-dev,
         libxrandr-dev,
         libxcursor-dev,
         libxfixes-dev,
         libxcomposite-dev,
         libxdamage-dev,
         pkgconf,
         libxml2-utils
Provides: ${gir:Provides},
Recommends: debhelper
Suggests: libgtk2.0-doc
Description: development files for the GTK library
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the header files and static libraries which are
 needed for developing GTK applications.

Package: libgtk2.0-doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libglib2.0-doc,
            libatk1.0-doc,
            libpango1.0-doc
Multi-Arch: foreign
Description: documentation for the GTK graphical user interface library
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the HTML documentation for the GTK library
 in /usr/share/doc/libgtk2.0-doc/ .

Package: gtk2-engines-pixbuf
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: pixbuf-based theme for GTK 2
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the pixbuf theme engine.

Package: gir1.2-gtk-2.0
Architecture: any
Multi-Arch: same
Depends: libgtk2.0-common,
         ${misc:Depends},
         ${shlibs:Depends},
         ${gir:Depends}
Provides: ${gir:Provides},
Description: GTK graphical user interface library -- gir bindings
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: libgail18t64
Provides: ${t64:Provides}
Replaces: libgail18
Breaks: libgail18 (<< ${source:Version})
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgtk2.0-0t64 (= ${binary:Version})
Multi-Arch: same
Description: GNOME Accessibility Implementation Library -- shared libraries
 Gail implements ATK interfaces for GTK widgets which are dynamically
 loadable at runtime by a GTK application. Once loaded, those parts of
 an application that use standard GTK widgets will have a basic level
 of accessibility, without the need to modify the application at all.
 .
 This package contains the shared library.

Package: libgail18-udeb
Build-Profiles: <!noudeb>
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgtk2.0-0-udeb (= ${binary:Version})
Description: GNOME Accessibility Implementation Library -- shared libraries
 Gail implements ATK interfaces for GTK widgets which are dynamically
 loadable at runtime by a GTK application. Once loaded, those parts of
 an application that use standard GTK widgets will have a basic level
 of accessibility, without the need to modify the application at all.
 .
 This package contains the shared library for the Debian installer.

Package: libgail-common
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgail18t64 (= ${binary:Version})
Multi-Arch: same
Description: GNOME Accessibility Implementation Library -- common modules
 Gail implements ATK interfaces for GTK widgets which are dynamically
 loadable at runtime by a GTK application. Once loaded, those parts of
 an application that use standard GTK widgets will have a basic level
 of accessibility, without the need to modify the application at all.
 .
 This package contains core shared libraries.

Package: libgail-dev
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libgail18t64 (= ${binary:Version}),
         libgail-common (= ${binary:Version}),
         libgtk2.0-dev (= ${binary:Version}),
         pkgconf,
         libatk1.0-dev
Suggests: libgail-doc
Description: GNOME Accessibility Implementation Library -- development files
 Gail implements ATK interfaces for GTK widgets which are dynamically
 loadable at runtime by a GTK application. Once loaded, those parts of
 an application that use standard GTK widgets will have a basic level
 of accessibility, without the need to modify the application at all.
 .
 This package contains the development files for Gail.

Package: libgail-doc
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: documentation files of the Gail library
 Gail implements ATK interfaces for GTK widgets which are dynamically
 loadable at runtime by a GTK application. Once loaded, those parts of
 an application that use standard GTK widgets will have a basic level
 of accessibility, without the need to modify the application at all.
 .
 This package contains the documentation files for Gail.
